Loading...
Searching...
No Matches
pcl::poisson::PoissonException Class Reference

A base class for all poisson exceptions which inherits from std::runtime_error. More...

`#include <pcl/surface/3rdparty/poisson4/poisson_exceptions.h>`

Inheritance diagram for pcl::poisson::PoissonException:

## Public Member Functions

| PoissonException (const std::string &error_description, const char *file_name=nullptr, const char *function_name=nullptr, unsigned line_number=0)

## Static Protected Member Functions

static std::string | createDetailedMessage (const std::string &error_description, const char *file_name, const char *function_name, unsigned line_number)

## Protected Attributes

const char * | file_name_
const char * | function_name_
unsigned | line_number_

## Detailed Description

A base class for all poisson exceptions which inherits from std::runtime_error.

Note
  Adapted from PCLException. We intentionally do not reuse PCLException here to avoid introducing any dependencies on PCL in this 3rd party module.

Definition at line 69 of file poisson_exceptions.h.

## Constructor & Destructor Documentation

## PoissonException()

pcl::poisson::PoissonException::PoissonException | ( | const std::string & | error_description,
|  | const char * | file_name = `nullptr`,
|  | const char * | function_name = `nullptr`,
|  | unsigned | line_number = `0`
| ) |  |

inline

Definition at line 72 of file poisson_exceptions.h.

## Member Function Documentation

## createDetailedMessage()

static std::string pcl::poisson::PoissonException::createDetailedMessage | ( | const std::string & | error_description,
|  | const char * | file_name,
|  | const char * | function_name,
|  | unsigned | line_number
| ) |  |

inline static protected

Definition at line 87 of file poisson_exceptions.h.

## Member Data Documentation

## file_name_

const char* pcl::poisson::PoissonException::file_name_

protected

Definition at line 107 of file poisson_exceptions.h.

## function_name_

const char* pcl::poisson::PoissonException::function_name_

protected

Definition at line 108 of file poisson_exceptions.h.

## line_number_

unsigned pcl::poisson::PoissonException::line_number_

protected

Definition at line 109 of file poisson_exceptions.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/poisson4/poisson_exceptions.h